﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace csharpdemo
{
    public partial class FrmUsePaper : Form
    {
        public FrmUsePaper()
        {
            InitializeComponent();
        }

        private void FrmUsePaper_Load(object sender, EventArgs e)
        {
            vg1.Design("http://www.visual-graph.com/activex/paper.xml");
        }

        private void btnShowPaper_Click(object sender, EventArgs e)
        {
            vg1.vg.PaperVisible = true;
        }

        private void btnHidepaper_Click(object sender, EventArgs e)
        {
            vg1.vg.PaperVisible = false;
        }

        private void btnPortrait_Click(object sender, EventArgs e)
        {
            vg1.vg.PaperOrientation = 1;
            vg1.vg.PaperRight = 811;
        }

        private void btnLandscape_Click(object sender, EventArgs e)
        {
            vg1.vg.PaperOrientation = 2;
            vg1.vg.PaperRight = 811;
        }

        private void btnSetuppage_Click(object sender, EventArgs e)
        {
            vg1.vg.SetPage();
        }

        private void btnPrint_Click(object sender, EventArgs e)
        {
            vg1.vg.Print(true);
        }

        private void btnZoomFit_Click(object sender, EventArgs e)
        {
            vg1.vg.ZoomFit();
        }
    }
}
