﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace csharpdemo
{
    public partial class FrmUseUnitproperties : Form
    {
        public FrmUseUnitproperties()
        {
            InitializeComponent();
        }

        private void btnAddProperty_Click(object sender, EventArgs e)
        {
            var d = vg1.vg.ActiveSheet;
            if (d.FindProperty("Voltage") == -1)
            {
                d.AddProperty("Voltage", "", "", "", true);
                d.SetPropertyValue("Voltage", "110");
                MessageBox.Show("we have add a property 'Voltage' to the switch which has a value '110'.");
            };
            if (d.FindProperty("Value") == -1)
            {
                d.AddFunction("GetValue", "", 1);
                d.AddFunction("SetValue", "AValue", 1);
                d.SetFunctionValue("GetValue", "return Rect1.BackColor <> 0");
                d.SetFunctionValue("SetValue", "if Rect1.BackColor = 0 then; Rect1.BackColor = $FF; else; Rect1.BackColor = 0; end if");
                d.AddProperty("Value", "GetValue", "SetValue", "bool", true);
                MessageBox.Show("we have add a property 'Value' to the switch which has a value 'false'.");
            }

        }

        private void btnCopyUnit_Click(object sender, EventArgs e)
        {
            vg.Sheet d = vg1.vg.ActiveSheet;
            if (d.UnitByName("Switch") == null)
            {
                vg.Unit u = d.CopyUnit(d);
                u.MoveBy(100, 100);
                vg1.vg.Selection.Clear();
                vg1.vg.Selection.Add(u);
            }
        }

        private void btnSetProperty1_Click(object sender, EventArgs e)
        {

            var d = vg1.vg.ActiveSheet.UnitByName("Switch");
            if (d != null)
            {
                d.SetPropertyValue("Voltage", "220");
                MessageBox.Show("the switch has a property : Voltage = " + d.GetPropertyValue("Voltage"));
            }

        }

        private void btnSetProperty2_Click(object sender, EventArgs e)
        {
            var d = vg1.vg.ActiveSheet.UnitByName("Switch");
            if (d != null)
            {
                bool b = (bool)d.GetPropertyValue("Value");
                d.SetPropertyValue("Value", !b);
                MessageBox.Show("the switch has a property : Value = " + d.GetPropertyValue("Value"));
            }
        }

        private void FrmUseUnitproperties_Load(object sender, EventArgs e)
        {
            vg1.Design("http://www.visual-graph.com/activex/property.xml");
        }
    }
}
