// Table.cpp : implementation file
//

#include "stdafx.h"
#include "vg.h"
#include "sheet.h"
#include "VC.h"
#include "Table.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Table dialog


Table::Table(CWnd* pParent /*=NULL*/)
  : CDialog(Table::IDD, pParent)
{
  //{{AFX_DATA_INIT(Table)
    // NOTE: the ClassWizard will add member initialization here
  //}}AFX_DATA_INIT
}


void Table::DoDataExchange(CDataExchange* pDX)
{
  CDialog::DoDataExchange(pDX);
  //{{AFX_DATA_MAP(Table)
  DDX_Control(pDX, IDC_VGCTRL1, vg1);
  //}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(Table, CDialog)
  //{{AFX_MSG_MAP(Table)
  ON_WM_SIZE()
  ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
  ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
  ON_BN_CLICKED(IDC_BUTTON3, OnButton3)
  ON_BN_CLICKED(IDC_BUTTON4, OnButton4)
  ON_BN_CLICKED(IDC_BUTTON5, OnButton5)
  ON_BN_CLICKED(IDC_BUTTON6, OnButton6)
  ON_BN_CLICKED(IDC_BUTTON7, OnButton7)
  //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Table message handlers

BOOL Table::OnInitDialog() 
{
  CDialog::OnInitDialog();
  
  vg1.Design( "" );
  
  return TRUE;
}

void Table::OnSize(UINT nType, int cx, int cy) 
{
  CDialog::OnSize(nType, cx, cy);
  if( vg1.m_hWnd )
  {
    vg1.MoveWindow( 0, 0, cx, cy - 60 );
    CWnd* bt = GetDlgItem( IDC_BUTTON1 );
    bt->MoveWindow( 0, cy - 50, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON2 );
    bt->MoveWindow( 100, cy - 50, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON3 );
    bt->MoveWindow( 200, cy - 50, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON4 );
    bt->MoveWindow( 300, cy - 50, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON5 );
    bt->MoveWindow( 400, cy - 50, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON6 );
    bt->MoveWindow( 500, cy - 50, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON7 );
    bt->MoveWindow( 600, cy - 50, 100, 20 );
  }
};

void Table::OnButton1() 
{
  vg1.GetVg().GetActiveSheet().Execute("NewTable( 3, 5 )");  
}

void Table::OnButton2() 
{
  vg1.GetVg().GetActiveSheet().Execute("MergeText()");
}

void Table::OnButton3() 
{
  vg1.GetVg().GetActiveSheet().Execute("SplitText()");
}

void Table::OnButton4() 
{
  vg1.GetVg().GetActiveSheet().Execute("InsertRow()");
}

void Table::OnButton5() 
{
  vg1.GetVg().GetActiveSheet().Execute("DeleteRow()");
}

void Table::OnButton6() 
{
  vg1.GetVg().GetActiveSheet().Execute("InsertCol()");
}

void Table::OnButton7() 
{
  vg1.GetVg().GetActiveSheet().Execute("DeleteCol()");
}
