﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace csharpdemo
{
    public partial class FrmDesignModeWithOneActiveX : Form
    {
        public FrmDesignModeWithOneActiveX()
        {
            InitializeComponent();
        }

        private void OnLoad()
        {
            vg1.Run(vg1.DefaultPath + "index.tbl");
        }

        private void LoadLibrary()
        {
            vg.Sheet sheet = vg1.vg.ActiveSheet;
            vg.IUnit inspectorUnit = (vg.IUnit)sheet.GetPropertyValue("Inspector");
            vg.Ivg doc = inspectorUnit.GetPropertyValue("doc") as vg.Ivg;
            vg.Sheet inspector = doc.ActiveSheet as vg.Sheet;
            vg.IUnit subwindow7Unit = inspector.UnitByName("subwindow7");
            vg.Sheet libview = (subwindow7Unit.GetPropertyValue("doc") as vg.Ivg).ActiveSheet;
            libview.Execute("LoadLibFromFile('" + vg1.DefaultPath + "controls.tbl')");
        }

        private void LoadFile()
        {
            vg.Ivg dlg = vg1.vg.Create(vg1.DefaultPath + "files.tbl", false, false);
            if (dlg.ShowModal() == 1)
            {
                object s = dlg.ActiveSheet.Execute("return ListBox1.GetItem( ListBox1.ItemIndex )");
                vg.ISheet mainform = vg1.vg.ActiveSheet.Execute("return MainForm") as vg.ISheet;
                mainform.Execute("OpenDocument( WebSite + '" + s + "', true )");
            };
            dlg.Free();
        }


        private void btnLoadLibrary_Click(object sender, EventArgs e)
        {
            LoadLibrary();
        }

        private void FrmDesignModeWithOneActiveX_Load(object sender, EventArgs e)
        {
            OnLoad();
        }

        private void btnLoadFile_Click(object sender, EventArgs e)
        {
            LoadFile();
        }
    }
}
