// RunModeWithMultipleActiveX.cpp : implementation file
//

#include "stdafx.h"
#include "vg.h"
#include "sheet.h"
#include "VC.h"
#include "RunModeWithMultipleActiveX.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// RunModeWithMultipleActiveX dialog


RunModeWithMultipleActiveX::RunModeWithMultipleActiveX(CWnd* pParent /*=NULL*/)
  : CDialog(RunModeWithMultipleActiveX::IDD, pParent)
{
  //{{AFX_DATA_INIT(RunModeWithMultipleActiveX)
    // NOTE: the ClassWizard will add member initialization here
  //}}AFX_DATA_INIT
}


void RunModeWithMultipleActiveX::DoDataExchange(CDataExchange* pDX)
{
  CDialog::DoDataExchange(pDX);
  //{{AFX_DATA_MAP(RunModeWithMultipleActiveX)
  DDX_Control(pDX, IDC_VGCTRL1, vg1);
  DDX_Control(pDX, IDC_VGCTRL2, vg2);
  //}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(RunModeWithMultipleActiveX, CDialog)
  //{{AFX_MSG_MAP(RunModeWithMultipleActiveX)
  ON_WM_SIZE()
  //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// RunModeWithMultipleActiveX message handlers

BOOL RunModeWithMultipleActiveX::OnInitDialog() 
{
  CDialog::OnInitDialog();
  
  vg1.Run("");
  vg2.Run(vg1.GetDefaultPath() + "controlbar.tbl");
  CSheet sheet = vg1.GetVg().GetActiveSheet();
  VARIANT v;
  v.vt = VT_DISPATCH;
  v.pdispVal = sheet.m_lpDispatch;
  vg2.GetVg().GetActiveSheet().SetPropertyValue("cursheet", v);
  return TRUE;  // return TRUE unless you set the focus to a control
                // EXCEPTION: OCX Property Pages should return FALSE
}

void RunModeWithMultipleActiveX::OnSize(UINT nType, int cx, int cy) 
{
  CDialog::OnSize(nType, cx, cy);
  
  if( vg1.m_hWnd )
  {
    vg1.MoveWindow( 0, 30, cx, cy - 30 );
    vg2.MoveWindow( 0, 0, cx, 28 );
  };
}
