// UseElementControlPoint.cpp : implementation file
//

#include "stdafx.h"
#include "vg.h"
#include "group.h"
#include "sheet.h"
#include "unit.h"
#include "VC.h"
#include "UseElementControlPoint.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// UseElementControlPoint dialog


UseElementControlPoint::UseElementControlPoint(CWnd* pParent /*=NULL*/)
  : CDialog(UseElementControlPoint::IDD, pParent)
{
  //{{AFX_DATA_INIT(UseElementControlPoint)
    // NOTE: the ClassWizard will add member initialization here
  //}}AFX_DATA_INIT
}


void UseElementControlPoint::DoDataExchange(CDataExchange* pDX)
{
  CDialog::DoDataExchange(pDX);
  //{{AFX_DATA_MAP(UseElementControlPoint)
  DDX_Control(pDX, IDC_VGCTRL1, vg1);
  //}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(UseElementControlPoint, CDialog)
  //{{AFX_MSG_MAP(UseElementControlPoint)
  ON_WM_SIZE()
  ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
  ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
  ON_BN_CLICKED(IDC_BUTTON3, OnButton3)
  ON_BN_CLICKED(IDC_BUTTON4, OnButton4)
  //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// UseElementControlPoint message handlers

BOOL UseElementControlPoint::OnInitDialog() 
{
  CDialog::OnInitDialog();
  
    Cvg vg = vg1.Design("http://www.visual-graph.com/activex/lock.xml");
    CSheet sheet = vg.GetActiveSheet();
  CUnit d = sheet.UnitByName("element2");
  vg.GetSelection().Add(d);  
  return TRUE;
}

void UseElementControlPoint::OnSize(UINT nType, int cx, int cy) 
{
  CDialog::OnSize(nType, cx, cy);
  
  if( vg1.m_hWnd )
  {
    vg1.MoveWindow( 0, 0, cx, cy - 60 );
    CWnd* bt = GetDlgItem( IDC_BUTTON1 );
    bt->MoveWindow( 0, cy - 50, 150, 20 );
    bt = GetDlgItem( IDC_BUTTON2 );
    bt->MoveWindow( 150, cy - 50, 150, 20 );
    bt = GetDlgItem( IDC_BUTTON3 );
    bt->MoveWindow( 300, cy - 50, 150, 20 );
    bt = GetDlgItem( IDC_BUTTON4 );
    bt->MoveWindow( 450, cy - 50, 150, 20 );
  }
}

void UseElementControlPoint::OnButton1() 
{
  Cvg vg = vg1.GetVg();
  CSheet sheet = vg.GetActiveSheet();
  sheet.Execute("rect1.Locked = false");
  sheet.Execute("element2.unitbyname( 'text1' ).Locked = false");
  CUnit d = sheet.UnitByName("element2");
  d.Refresh();
  CGroup g = vg.GetSelection();
  g.Clear();
  g.Add(d);
}

void UseElementControlPoint::OnButton2() 
{
  Cvg vg = vg1.GetVg();
  CSheet sheet = vg.GetActiveSheet();
    sheet.Execute("rect1.Locked = true");
    sheet.Execute("element2.unitbyname( 'text1' ).Locked = true");
    CUnit d = sheet.UnitByName("element2");
    d.Refresh();
  CGroup g = vg.GetSelection();
    g.Clear();
    g.Add(d);
}

void UseElementControlPoint::OnButton3() 
{
  Cvg vg = vg1.GetVg();
  CSheet sheet = vg.GetActiveSheet();
    CUnit d = sheet.UnitByName( "element1" );
    CUnit l = d.UnitByName("line1");
    l.MoveBy( 100, 0 );
    d.Execute( "line1.onnodechange(line1)" );
    d.Refresh();
}

void UseElementControlPoint::OnButton4() 
{
  Cvg vg = vg1.GetVg();
  CSheet sheet = vg.GetActiveSheet();
    CUnit d = sheet.UnitByName( "dime1" );
    CUnit l = d.UnitByName("line1");
    l.MoveBy( 0, -10 );
    d.Execute( "line1.onnodechange(line1)" );
    d.Refresh();
}
