// UseUnitproperties.cpp : implementation file
//

#include "stdafx.h"
#include "vg.h"
#include "group.h"
#include "sheet.h"
#include "unit.h"
#include "VC.h"
#include "UseUnitproperties.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// UseUnitproperties dialog


UseUnitproperties::UseUnitproperties(CWnd* pParent /*=NULL*/)
  : CDialog(UseUnitproperties::IDD, pParent)
{
  //{{AFX_DATA_INIT(UseUnitproperties)
    // NOTE: the ClassWizard will add member initialization here
  //}}AFX_DATA_INIT
}


void UseUnitproperties::DoDataExchange(CDataExchange* pDX)
{
  CDialog::DoDataExchange(pDX);
  //{{AFX_DATA_MAP(UseUnitproperties)
  DDX_Control(pDX, IDC_VGCTRL1, vg1);
  //}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(UseUnitproperties, CDialog)
  //{{AFX_MSG_MAP(UseUnitproperties)
  ON_WM_SIZE()
  ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
  ON_BN_CLICKED(IDC_BUTTON3, OnButton3)
  ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
  ON_BN_CLICKED(IDC_BUTTON4, OnButton4)
  //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// UseUnitproperties message handlers

BOOL UseUnitproperties::OnInitDialog() 
{
  CDialog::OnInitDialog();
  
  vg1.Design("http://www.visual-graph.com/activex/property.xml");
  return TRUE;  // return TRUE unless you set the focus to a control
                // EXCEPTION: OCX Property Pages should return FALSE
}

void UseUnitproperties::OnSize(UINT nType, int cx, int cy) 
{
  CDialog::OnSize(nType, cx, cy);
  
  if( vg1.m_hWnd )
  {
    vg1.MoveWindow( 0, 0, cx, cy - 60 );
    CWnd* bt = GetDlgItem( IDC_BUTTON1 );
    bt->MoveWindow( 0, cy - 50, 200, 20 );
    bt = GetDlgItem( IDC_BUTTON2 );
    bt->MoveWindow( 200, cy - 50, 200, 20 );
    bt = GetDlgItem( IDC_BUTTON3 );
    bt->MoveWindow( 400, cy - 50, 200, 20 );
    bt = GetDlgItem( IDC_BUTTON4 );
    bt->MoveWindow( 600, cy - 50, 200, 20 );
  };
}

void UseUnitproperties::OnButton1() 
{
  Cvg vg = vg1.GetVg();
  CSheet d = vg.GetActiveSheet();
  if (d.FindProperty("Voltage") == -1)
  {
    d.AddProperty("Voltage", "", "", "", true);
    VARIANT v;
    v.vt = VT_BSTR;
    v.bstrVal = SysAllocString( L"110" );
    d.SetPropertyValue("Voltage", v);
    SysFreeString( v.bstrVal );
    MessageBox("we have add a property 'Voltage' to the switch which has a value '110'.");
  };
  if (d.FindProperty("Value") == -1)
  {
    d.AddFunction("GetValue", "", 1);
    d.AddFunction("SetValue", "AValue", 1);
    d.SetFunctionValue("GetValue", "return Rect1.BackColor <> 0");
    d.SetFunctionValue("SetValue", "if Rect1.BackColor = 0 then; Rect1.BackColor = $FF; else; Rect1.BackColor = 0; end if");
    d.AddProperty("Value", "GetValue", "SetValue", "bool", true);
    MessageBox("we have add a property 'Value' to the switch which has a value 'false'.");
  }
}

void UseUnitproperties::OnButton3() 
{
  Cvg vg = vg1.GetVg();
  CSheet sheet = vg.GetActiveSheet();
  CUnit d = sheet.UnitByName("Switch");
    if( d )
    {
        VARIANT v;
    v.vt = VT_BSTR;
    v.bstrVal = SysAllocString( L"220" );
        d.SetPropertyValue("Voltage", v);
    SysFreeString( v.bstrVal );
    v = d.GetPropertyValue("Voltage");
        MessageBox("the switch has a property : Voltage = " + CString( v.bstrVal ) );
    SysFreeString( v.bstrVal );
    }
}

void UseUnitproperties::OnButton2() 
{
  Cvg vg = vg1.GetVg();
  CSheet sheet = vg.GetActiveSheet();
  CUnit d = sheet.UnitByName("Switch");
    if( d == NULL )
    {
        d = sheet.CopyUnit(sheet);
        d.MoveBy(100, 100);
        vg.GetSelection().Clear();
        vg.GetSelection().Add(d);
    }
}

void UseUnitproperties::OnButton4() 
{
  Cvg vg = vg1.GetVg();
  CSheet sheet = vg.GetActiveSheet();
  CUnit d = sheet.UnitByName("Switch");
    if( d )
    {
    VARIANT v = d.GetPropertyValue("Value");
        v.boolVal = !v.boolVal;
    d.SetPropertyValue("Value", v);
    v = d.GetPropertyValue("Value");
    if( v.boolVal )
      MessageBox("the switch has a property : Value = true" );
    else  
      MessageBox("the switch has a property : Value = false" );
    }
}
